/* Mixmaster version 3  --  (C) 1999 Anonymizer Inc.

   Mixmaster may be redistributed and modified under certain conditions.
   This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
   ANY KIND, either express or implied. See the file COPYRIGHT for
   details.

   DSA signatures without ASN.1 encoding
   $Id: dsasign.h,v 1.1 1999/03/20 21:07:39 um Exp $ */


#ifndef _DSASIGN_H
#define _DSASIGN_H

#include <stdio.h>
#include <dsa.h>

#ifndef DSA_F_DSA_DO_SIGN

typedef struct DSA_SIG_st
	{
	BIGNUM *r;
	BIGNUM *s;
	} DSA_SIG;

DSA_SIG * DSA_do_sign(unsigned char *dgst,int dlen,DSA *dsa);
void DSA_SIG_free(DSA_SIG *r);

#endif
#endif
